JAXB v2.2.12-b140109.1041

## javax.xml.bind
Class JAXBPermission

    java.lang.Object
      java.security.Permission
          java.security.BasicPermission
              javax.xml.bind.JAXBPermission

All Implemented Interfaces:
  Serializable, Guard

    public final class JAXBPermission

extends BasicPermission

This class is for JAXB permissions. A `JAXBPermission` contains a name (also referred to as a "target name") but no actions list; you either have the named permission or you don't.

The target name is the name of the JAXB permission (see below).

The following table lists all the possible `JAXBPermission` target names, and for each provides a description of what the permission allows and a discussion of the risks of granting code the permission.

Permission Target Name | What the Permission Allows | Risks of Allowing this Permission
--- | --- | ---

setDatatypeConverter

Allows the code to set VM-wide `DatatypeConverterInterface` via `the setDatatypeConverter method` that all the methods on `DatatypeConverter` uses.

Malicious code can set `DatatypeConverterInterface`, which has VM-wide singleton semantics, before a genuine JAXB implementation sets one. This allows malicious code to gain access to objects that it may otherwise not have access to, such as `Frame` that belongs to another application running in the same JVM.

Since:
  JAXB 2.2
Author:
  Joe Fialli
See Also:
  `BasicPermission`, `Permission`, `Permissions`, `PermissionCollection`, `SecurityManager`, Serialized Form

Constructor Summary
`JAXBPermission(String name)` Creates a new JAXBPermission with the specified name.

Method Summary

Methods inherited from class java.security.BasicPermission
`equals, getActions, hashCode, implies, newPermissionCollection`

Methods inherited from class java.security.Permission
`checkGuard, getName, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JAXBPermission

    public JAXBPermission(String name)

  Creates a new JAXBPermission with the specified name.

  Parameters:
    `name` - The name of the JAXBPermission. As of 2.2 only "setDatatypeConverter" is defined.

JAXB v2.2.12-b140109.1041

Comments to: spec-comments@jsr222.java.net
More information at: http://jaxb.java.net

Copyright © 2004-2011 Oracle